<?php
/**
 * Clase Base Bean para BaseCrPrAsignarDetalleBN
 *
 * @package    Sedapal
 * @subpackage BaseCrPrAsignarDetalleBN
 * @author     Willy
 * @version    SVN:: BaseCrPrAsignarDetalleBN.class.php,v 1.1 2018-07-03 15:01:12 william.taype Exp $
 */
abstract class BaseCrPrAsignarDetalleBN
{
  protected $Idmercado;
  protected $Idcolaborador;
  protected $Fecha;
  protected $Idprestamo;
  protected $Fecharegistro;
  protected $Usuarioregistro;
  protected $Mensaje;
  protected $Error;

  public function getIdmercado(){
    return $this->Idmercado;
  }
  public function setIdmercado($v1){
    $this->Idmercado = $v1; 
  }

  public function getIdcolaborador(){
    return $this->Idcolaborador;
  }
  public function setIdcolaborador($v1){
    $this->Idcolaborador = $v1; 
  }

  public function getFecha(){
    return $this->Fecha;
  }
  public function setFecha($v1){
    $this->Fecha = $v1; 
  }

  public function getIdprestamo(){
    return $this->Idprestamo;
  }
  public function setIdprestamo($v1){
    $this->Idprestamo = $v1; 
  }

  public function getFecharegistro(){
    return $this->Fecharegistro;
  }
  public function setFecharegistro($v1){
    $this->Fecharegistro = $v1; 
  }

  public function getUsuarioregistro(){
    return $this->Usuarioregistro;
  }
  public function setUsuarioregistro($v1){
    $this->Usuarioregistro = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Cr_pre_asignar_detalleBN desde un RecordSet */
  public static function retrieveByRs( $o_Cr_pre_asignar_detalleRs )
  {
    $o_CrPreAsignarDetalleBN = new CrPreAsignarDetalleBN();
    $o_CrPreAsignarDetalleBN->setIdmercado( $o_Cr_pre_asignar_detalleRs['idmercado'] );
    $o_CrPreAsignarDetalleBN->setIdcolaborador( $o_Cr_pre_asignar_detalleRs['idcolaborador'] );
    $o_CrPreAsignarDetalleBN->setFecha( $o_Cr_pre_asignar_detalleRs['fecha'] );
    $o_CrPreAsignarDetalleBN->setIdprestamo( $o_Cr_pre_asignar_detalleRs['idprestamo'] );
    $o_CrPreAsignarDetalleBN->setFecharegistro( $o_Cr_pre_asignar_detalleRs['fecharegistro'] );
    $o_CrPreAsignarDetalleBN->setUsuarioregistro( $o_Cr_pre_asignar_detalleRs['usuarioregistro'] );
    return $o_CrPreAsignarDetalleBN;
  }
}